Bug 975922 - GRE constraint operator list box problems when re-opening file
GRE constraint operator list box problems when re-opening file
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Mac OS
high Severity high
: DR2
: 6.1.0
Assigned To: manstis
Jiri Locker
:
: 994476 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 11:31 EDT by Jeff DeLong
Modified: 2016-07-31 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Summary: While using the Guided Editor, users who re-open a file have issues with the constraint operator list box. That is, saved data is reverted to “- - - please choose - - -” and the drop-down box only displays four options: equal to, not equal to, is null, and is not null. Cause: Create a GRE rule and add a condition with a value constraint such as greater than, less than, less than or equal to, greater than or equal to, matches, or sounds like. Save the file and re-open it. Note, if the value constraint is equals to, not equals to, is null, or is not null, the constraints come back unchanged; however, the other options are significantly reduced if the value constraints need to be changed. Consequence: Once the file is opened after an initial save, the conditional value constraint reverts to “- - - please choose - - -” instead of its previous constraint. In most cases, an alert of “Are you sure you want to discard unsaved data?” will appear after saving the initial changes. This may be an indication that the value constraints will become corrupt and revert to “- - - please choose - - -.” Workaround: There is no current workaround to this issue. Result: The conditional value constraints are reverted to “- - - please choose - - -” or the options are significantly reduced based on the initial conditional value constraint choice.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GRE (1.34 MB, image/tiff)
2013-06-19 11:31 EDT, Jeff DeLong
no flags Details

  None (edit)
Description Jeff DeLong 2013-06-19 11:31:38 EDT
Created attachment 763020 [details]
GRE

Description of problem:

GRE constraint operator list box problems when re-opening file.  When I re-open the rule that the constraint is no longer less than but has reverted to --- please choose ---
And the drop down box only has four choices

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Create a GRE rule
2.Add a condition with a constraint with a literal value, for example field less than value
3.Save the file and re-open it

Actual results:

--- please choose ---

Expected results:

less than

Additional info:
Comment 2 Lukáš Petrovický 2013-07-28 13:30:14 EDT
This has been wrongly filed for BPMS. Moving to BRMS.
Comment 4 Jiri Locker 2013-08-22 04:13:03 EDT
*** Bug 994476 has been marked as a duplicate of this bug. ***
Comment 5 Jiri Locker 2013-08-22 04:15:51 EDT
This affects numerical field constraints. For a quick demonstration, open Bankruptcy history in mortgages project.
Comment 6 Jiri Locker 2013-08-26 15:29:39 EDT
String fields are affected too:
- When using "greater than" or other comparing operators or "matches" and "sounds like", the select box is reset to "--- please choose ---" after reopening the rule.

With both String and numerical fields:
- When using "equals to" the operator is reloaded correctly however the select box options are reduced to "equals to", "not equals to", "is null" and "is not null".
- "is null" after reopening: field [equal to] [Choose ...] (expression builder), similarly with "is not null".

In most cases the "cursed" operator usage is indicated by alert "Are you sure you want to discard unsaved data?" showing up even after saving the changes.
Comment 8 Jiri Locker 2013-09-26 11:17:57 EDT
Fixed in ER3.
Comment 12 Jiri Locker 2013-10-22 12:57:30 EDT
The issue recurred in ER4. It now affects <= and >= operators.
Comment 14 Jiri Locker 2013-11-29 12:42:47 EST
Fixed in ER5.
Comment 15 Zuzana Krejčová 2014-06-03 06:26:41 EDT
This happens again with Number.

Steps to reproduce:
1. Add Number to [when] section, add restriction using the expression editor.
2. Choose intValue.
3a. Choose 'greater than' operator. OR
3b. Choose 'equals' operator.
4. Type in a literal value, save, reopen.

For 3a, the operator is reset to '--- please choose ---', for 3b, operator stays the same. In both cases, operator options are reduced to 'equals to', 'not equals to', 'is null' and 'is not null'.
Comment 17 Jiri Locker 2014-09-11 09:07:37 EDT
Scenario described in comment 15 now works as expected.

Note You need to log in before you can comment on or make changes to this bug.